## vcversioner 2.16.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/vcversioner.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/vcversioner.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/vcversioner"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/vcversioner"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## vcversioner 1.13.0.0

=== debian/changelog ===
vcversioner (1.13.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #732837)

 -- Nicolas Dandrimont <olasd@debian.org>  Sun, 22 Dec 2013 14:20:43 +0100

=== debian/control ===
Source: vcversioner
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Build-Depends:
 debhelper (>= 9),
 python-all (>= 2.6.6-3~),
 python-setuptools
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
Homepage: https://github.com/habnabit/vcversioner
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/vcversioner/trunk/
Vcs-Browser: http://anonscm.debian.org/viewsvn/python-modules/packages/vcversioner/trunk

Package: python-vcversioner
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends}
Description: Use version control tags to discover version numbers
 vcversioner autodiscovers a Python project's version number using
 version control system tags. This allows developers to avoid
 duplicating version information between their VCS and their setup.py
 metadata.
 .
 When the package is built, vcversioner generates a version.txt file
 that can be used for release tarballs.
 .
 Currently, vcversioner only supports the git VCS.

## vcversioner 1.14.1.1

=== debian/changelog ===
vcversioner (1.14.1.1-2) unstable; urgency=medium

  * Add Python3 support
  * Properly install the readme file as documentation
  * Update copyright years

 -- Nicolas Dandrimont <olasd@debian.org>  Sun, 11 May 2014 14:44:06 +0200

vcversioner (1.14.1.1-1) unstable; urgency=medium

  * New upstream release
    - Add support for mercurial (hg)
  * Add suggests on git and mercurial
  * Switch buildsystem to pybuild

 -- Nicolas Dandrimont <olasd@debian.org>  Sun, 11 May 2014 14:26:05 +0200

=== debian/control ===
Source: vcversioner
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3~), python-setuptools, python3-all, python3-setuptools
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
Homepage: https://github.com/habnabit/vcversioner
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/vcversioner/trunk/
Vcs-Browser: http://anonscm.debian.org/viewsvn/python-modules/packages/vcversioner/trunk

Package: python-vcversioner
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: git, mercurial
Description: Use version control tags to discover version numbers
 vcversioner autodiscovers a Python project's version number using
 version control system tags. This allows developers to avoid
 duplicating version information between their VCS and their setup.py
 metadata.
 .
 When the package is built, vcversioner generates a version.txt file
 that can be used for release tarballs.
 .
 Currently, vcversioner supports the git and mercurial (hg) VCS.
 .
 This module contains vcversioner for Python 2.x

Package: python3-vcversioner
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: git, mercurial
Description: Use version control tags to discover version numbers (Python3 version)
 vcversioner autodiscovers a Python project's version number using
 version control system tags. This allows developers to avoid
 duplicating version information between their VCS and their setup.py
 metadata.
 .
 When the package is built, vcversioner generates a version.txt file
 that can be used for release tarballs.
 .
 Currently, vcversioner supports the git and mercurial (hg) VCS.
 .
 This package contains vcversioner for Python 3.x

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3

https://pypi.python.org/packages/source/v/vcversioner/vcversioner-(.+).tar.gz

## vcversioner 2.16.0.0

=== debian/changelog ===
vcversioner (2.16.0.0-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.

  [ Julien Puydt ]
  * Fix d/watch.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 26 Oct 2021 16:48:25 +0200

vcversioner (2.16.0.0-5) unstable; urgency=medium

  * debian/control
    - use proper team name and email address

 -- Sandro Tosi <morph@debian.org>  Tue, 31 Aug 2021 00:49:06 -0400

vcversioner (2.16.0.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Julien Puydt ]
  * Fix d/watch.
  * Bump std-vers to 4.6.0.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 19 Aug 2021 10:18:54 +0200

vcversioner (2.16.0.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Julien Puydt ]
  * Use my @debian.org mail address.
  * Bump std-vers to 4.5.0.
  * Bump dh compat to 13.
  * Declare d/rules doesn't require root.
  * Update team mailing list address.
  * Rewrite d/rules' handling of version.txt.
  * Add lintian override for erroneous dh-sequencer missing report.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 16 Jul 2020 16:58:49 +0200

vcversioner (2.16.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938771

 -- Sandro Tosi <morph@debian.org>  Thu, 12 Dec 2019 19:28:50 -0500

vcversioner (2.16.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Julien Puydt ]
  * New upstream release. (Closes: #822549)
  * Pointed d/watch to upstream's github repository.
  * Added version.txt hack in d/rules to avoid complaints.
  * Pushed standards-version up.
  * Added myself to uploaders.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 05 Jun 2016 12:19:10 +0200

vcversioner (1.14.1.1-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Nicolas Dandrimont <olasd@debian.org>  Sun, 18 May 2014 21:27:12 +0200

=== debian/control ===
Source: vcversioner
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>,
           Julien Puydt <jpuydt@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/habnabit/vcversioner
Vcs-Git: https://salsa.debian.org/python-team/packages/vcversioner.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/vcversioner

Package: python3-vcversioner
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: git, mercurial
Description: Use version control tags to discover version numbers (Python3 version)
 vcversioner autodiscovers a Python project's version number using
 version control system tags. This allows developers to avoid
 duplicating version information between their VCS and their setup.py
 metadata.
 .
 When the package is built, vcversioner generates a version.txt file
 that can be used for release tarballs.
 .
 Currently, vcversioner supports the git and mercurial (hg) VCS.
 .
 This package contains vcversioner for Python 3.x

=== debian/rules ===
#!/usr/bin/make -f

# The setup.py uses vcversioner, so it either expects a git repository
# or a proper dist tarball with a version.txt. As the upstream source
# tarball is neither, we need to trick things into working by creating
# version.txt ourselves.

include /usr/share/dpkg/pkg-info.mk

%:
	echo $(DEB_VERSION_UPSTREAM)-0-0 > version.txt
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -f version.txt

=== debian/watch ===
version=4
https://github.com/habnabit/vcversioner/tags .*/(.+).tar.gz
